#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		xname		%(echo %{sname} | tr '-' '_')
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python-setuptools-scm
Version		:	8.1.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Blessed package to manage your versions by SCM tags

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/setuptools-scm/
			#https://pypi.org/project/setuptools-scm/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}

Requires	:	%{__python}

Provides	:	%{sname}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Setuptools_scm handles managing your python package
versions in SCM metadata.
It also handles file finders for the supported SCMs.
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{python3_sitelib}/%{xname}/.git_archival.txt
%{python3_sitelib}/%{xname}/*.py
%{python3_sitelib}/%{xname}/__pycache__/*.pyc
%{python3_sitelib}/%{xname}/_file_finders/*.py
%{python3_sitelib}/%{xname}/_file_finders/__pycache__/*.pyc
%{python3_sitelib}/%{xname}/_integration/*.py
%{python3_sitelib}/%{xname}/_integration/__pycache__/*.pyc
%{python3_sitelib}/%{xname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{xname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
